Skip to content

Legacy connection status

GET
/wp-json/wp2/studio-sync/v1/status
curl --request GET \
--url https://example.com/wp-json/wp2/studio-sync/v1/status \
--header 'Authorization: Bearer <token>'

Legacy wrapper around the same connection status as GET /desktop/status. New clients should call /desktop/status.

Legacy {success, data} wrapper around desktop status.

Media typeapplication/json
object
success

Legacy GET /status wrapper (always true on 200).

boolean
data

Same object as GET /desktop/status.

object
success

True when status was read successfully.

boolean
connected

True when the connection status is active.

boolean
status

Connection record status (usually active).

string
connection_id

Studio Sync connection ID.

string
instance_url

WordPress site URL.

string
admin_url

Admin URL (network_admin_url in network mode).

string
mode

Connection mode (site / multisite_network).

string
user

User the connection was issued for.

object
id

WordPress user ID.

integer
display_name

Display name.

string
email

User email.

string
client_name

Desktop client name.

string
nullable
device_id

Stable device ID.

string
nullable
created_at

Connection created-at timestamp.

string
nullable
last_used_at

Token last-used timestamp.

string
nullable
Examplegenerated
{
"success": true,
"data": {
"success": true,
"connected": true,
"status": "example",
"connection_id": "example",
"instance_url": "example",
"admin_url": "example",
"mode": "example",
"user": {
"id": 1,
"display_name": "example",
"email": "example"
},
"client_name": "example",
"device_id": "example",
"created_at": "example",
"last_used_at": "example"
}
}

Studio_sync_missing_auth / studio_sync_invalid_token

Media typeapplication/json
object
code

Machine-readable error or event code.

string
message

Message text (log, PIN, or password reset).

string
data

Extra WP_Error or license payload.

object
Examplegenerated
{
"code": "example",
"message": "example",
"data": {}
}

Studio_sync_insufficient_permissions / studio_sync_connection_revoked

Media typeapplication/json
object
code

Machine-readable error or event code.

string
message

Message text (log, PIN, or password reset).

string
data

Extra WP_Error or license payload.

object
Examplegenerated
{
"code": "example",
"message": "example",
"data": {}
}

Studio_sync_connection_missing

Media typeapplication/json
object
code

Machine-readable error or event code.

string
message

Message text (log, PIN, or password reset).

string
data

Extra WP_Error or license payload.

object
Examplegenerated
{
"code": "example",
"message": "example",
"data": {}
}